# GetLoggedInUser

### Description

Gets the name of the currently logged-in user. This function is only available on Windows.

```csharp
string GetLoggedInUser(out string errorMessage)
```

### Parameters

| Parameter |  Type  | Description                                                     |
| --------- | :----: | --------------------------------------------------------------- |
| message   | string | return error message if there was an error during the operation |

### Return

| Type   | Description                            |
| ------ | -------------------------------------- |
| string | returns the name of the logged in user |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/iqlmhardware/getloggedinuser.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
